Subject: bug#35273: "Marker does not point anywhere" when reading next article

From: Leah Neukirchen <[email-masked]>
Date: Sun, 14 Apr 2019 23:19:56 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

> Leah Neukirchen <[email-masked]> writes:
>
>> On Gnus 5.13/Emacs 26.2 (and 26.1), if I hover with the mouse a link
>> in Article view (such that it shows the tooltip "Follow the link"),
>> and press SPC to read the next article, the message "Marker does not
>> point anywhere" displays repeatedly, until the mouse is moved.
>>
>> This sounds like bug#30519 but it's still in 26.2...
>
> FWIW, I just tried this on a build of latest master with the link in
> your signature, and saw no such messages.

Ok, the setup is more contrived as I now figured out (but it still
happens in HEAD):

- The mouse needs to hover over the link in such a way that it will
  be on a link again after pressing SPC (this is easy to trigger on From:
  and articles that fit on a screen)
- elscreen needs to be loaded and started
- elscreen needs at least two tabs(!), with a single tab it doesn't trigger

I'm unable to make any good backtrace of this happening, other
than simply

command-error-default-function

I hope this helps reproducing.  If you have other ideas how I can
debug it myself, please tell me.

-- 
Leah Neukirchen  <[email-masked]>  http://leah.zone